Bug 804040 - infunc?.sh tests fail on x86_64
infunc?.sh tests fail on x86_64
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: prelink (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 07:39 EDT by Marek Polacek
Modified: 2012-03-23 05:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 05:25:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Polacek 2012-03-16 07:39:20 EDT
Description of problem:
The ifunc?.sh test began fail on RHEL7 on x86_64.

Version-Release number of selected component (if applicable):
prelink-0.4.6-3.el7.x86_64

How reproducible:
E.g.:
$ rpmbuild --rebuild prelink-0.4.6-3.el7.src.rpm

We'll see

+ make -C testsuite check-harder 'CC=gcc -Wl,--add-needed' 'CXX=g++ -Wl,--add-needed'
make[1]: Entering directory `/root/rpmbuild/BUILD/prelink/testsuite'
make[2]: Entering directory `/root/rpmbuild/BUILD/prelink/testsuite'
make  check-TESTS
make[3]: Entering directory `/root/rpmbuild/BUILD/prelink/testsuite'
PASS: reloc1.sh
PASS: reloc2.sh
PASS: reloc3.sh
PASS: reloc4.sh
PASS: reloc5.sh
PASS: reloc6.sh

MARK-LWD-LOOP -- 2012-03-14 14:46:42 --
PASS: reloc7.sh
PASS: reloc10.sh
PASS: reloc11.sh
PASS: shuffle1.sh
PASS: shuffle2.sh
PASS: shuffle3.sh
PASS: shuffle4.sh
PASS: shuffle5.sh
PASS: shuffle6.sh
PASS: shuffle7.sh
PASS: shuffle8.sh
PASS: shuffle9.sh
PASS: undo1.sh
PASS: layout1.sh
PASS: layout2.sh
PASS: tls1.sh
PASS: tls2.sh
PASS: tls3.sh
PASS: tls4.sh
PASS: tls5.sh
PASS: tls6.sh
PASS: tls7.sh
PASS: cxx1.sh
PASS: cxx2.sh
PASS: cxx3.sh
PASS: quick1.sh
PASS: quick2.sh
PASS: quick3.sh
PASS: cycle1.sh
PASS: cycle2.sh
PASS: deps1.sh
PASS: deps2.sh
FAIL: ifunc1.sh
FAIL: ifunc2.sh
FAIL: ifunc3.sh
PASS: undosyslibs.sh
====================
3 of 42 tests failed
====================
make[3]: *** [check-TESTS] Error 1
make[3]: Leaving directory `/root/rpmbuild/BUILD/prelink/testsuite'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/root/rpmbuild/BUILD/prelink/testsuite'
make[1]: *** [check-harder] Error 2
make[1]: Leaving directory `/root/rpmbuild/BUILD/prelink/testsuite'
error: Bad exit status from /var/tmp/rpm-tmp.zHVZz7 (%build)

At the end of ifunc1.log I see:
../src/prelink -c ./prelink.conf -C ./prelink.cache --ld-library-path=. --dynamic-linker=./ld-linux-x86-64.so.2 -u ifunc1lib1.so.new
Comment 1 Jakub Jelinek 2012-03-23 05:25:56 EDT
A linker bug, should be fixed in latest f17 binutils.

Note You need to log in before you can comment on or make changes to this bug.